[android-components](../../index.md) / [mozilla.components.service.fretboard.scheduler.jobscheduler](../index.md) / [SyncJob](index.md) / [getFretboard](./get-fretboard.md)

# getFretboard

`abstract fun getFretboard(): `[`Fretboard`](../../mozilla.components.service.fretboard/-fretboard/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/scheduler/jobscheduler/SyncJob.kt#L42)

Used to provide the instance of Fretboard
the app is using

**Return**
current Fretboard instance

